Skip to navigation

Retrieve a workflow

View as Markdown

Retrieves information about a specific workflow by its ID.

User Access Permission

You must be assigned the Workflow View Access permission to run this operation.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

workflow_idstringRequired
The unique ID of a workflow definition. For example, 19080.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
active_versionobjectOptional
Information of the active version.
calloutTriggerbooleanOptional
Indicates whether the callout trigger is enabled for the retrieved workflow.
createdAtstringOptionalformat: "datetime"

The date and time when the workflow is created, in the YYYY-MM-DD HH:MM:SS format.

descriptionstringOptional
The description of the workflow definition.
idintegerOptional
The unique ID of the workflow definition.
intervalstringOptional
The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled.
namestringOptional
The name of the workflow definition.
ondemandTriggerbooleanOptional
Indicates whether the ondemand trigger is enabled for the workflow.
scheduledTriggerbooleanOptional
Indicates whether the scheduled trigger is enabled for the workflow.
statusstringOptional
The status of the workflow definition.
timezonestringOptional
The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled.
updatedAtstringOptionalformat: "datetime"

The date and time when the workflow is updated the last time, in the YYYY-MM-DD HH:MM:SS format.